package com.itbaizhan.travel.controller;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
public class PageController {
    @RequestMapping("/backstage/{page}")
    public String showBackstage(@PathVariable String page){
        return "/backstage/"+page;
    }

    @RequestMapping("/frontdesk/{page}")
    public String showFrontdesk(@PathVariable String page){
        return "/frontdesk/"+page;
    }

    //忽略访问项目logo
    @RequestMapping("favicon.ico")
    @ResponseBody
    void returnNoFavicon(){
    }
}
